List nodes
curl --request GET \
--url https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes';
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes")
.header("Authorization", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://multichannel-api.salesforge.ai/public/multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

{
"nodes": [
{
"actionId": 123,
"analytics": {
"active": 123,
"completed": 123,
"endValue": 123,
"failed": 123
},
"branches": [
{
"analytics": {
"count": 123,
"percentage": 123
},
"description": "<string>",
"fromNodeId": 123,
"id": 123,
"name": "<string>",
"toNodeId": 123
}
],
"conditionId": 123,
"distributionStrategy": "<string>",
"id": 123,
"sequenceId": 123,
"type": "<string>",
"variants": [
{
"exposureInPercentage": 123,
"id": 123,
"isEnabled": true,
"metadata": {
"allowedValidationStatuses": [
"<string>"
],
"contentSource": "api",
"message": "<string>",
"name": "<string>",
"subject": "<string>"
},
"nodeId": 123
}
],
"waitInMinutes": 123,
"waitType": "<string>"
}
],
"pagination": {
"hasNext": true,
"limit": 123,
"page": 123,
"total": 123,
"totalPages": 123
}
}{
"data": "<unknown>",
"message": "Invalid request body"
}{
"data": "<unknown>",
"message": "Invalid request body"
}{
"data": "<unknown>",
"message": "Invalid request body"
}{
"data": "<unknown>",
"message": "Invalid request body"
}multichannel
List nodes
GET
/
multichannel
/
workspaces
/
{workspaceID}
/
sequences
/
{sequenceID}
/
nodes
List nodes
Authorizations
Query Parameters
Node type
Available options:
action, condition, root, terminal Channel
Available options:
email, linkedin, inmail Name
Page
Required range:
x >= 1Limit (max 100)
Required range:
1 <= x <= 100